Package Details: mpdris-git 20110110-1

Git Clone URL: https://aur.archlinux.org/mpdris-git.git (read-only)
Package Base: mpdris-git
Description: An implementation of the XMMS2 media player interface MPRIS as a client for MPD
Upstream URL: http://ayeon.org/projects/mpDris/
Licenses: GPL
Conflicts: mpdris, mpdris-svn
Replaces: mpdris-svn
Submitter: shtrom
Maintainer: shtrom
Last Packager: shtrom
Votes: 0
Popularity: 0.000000
First Submitted: 2011-01-09 23:56
Last Updated: 2015-07-04 07:09

Dependencies (6)

Required by (0)

Sources (0)

Latest Comments

shtrom commented on 2015-07-04 07:09

Right. This is an ooooold package. But thanks for the heads up. I corrected what you pointed out.

TrialnError commented on 2015-07-03 11:48

Various notes about this PKGBuild
1.) Doesn't follow VCS-Guidelines introduced with pacman4.1. See the Arch-Wiki

2.) The deps should be adjusted
dbus-python --> python2-dbus
pygobject --> python2-gobject or python2-gobject2 (propably the latter?)
python-mpd --> Dunno. on AUR there are just python2-mpd2
python2 --> could be removed, since those python2 libs require python2
If this is -git pkgbuild, why is subversion in makedepends?

3.) Missing package() function. Since pacman4.2 those PKGBuilds won't be built

4.) Replaces should be removed. Not the way it should be used

5.) sed or patch commands should be placed in a prepare() function